package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

/**
 * @author Alex Usun
 */
public class SshMsgChannelClose
        extends Message<SshMsgChannelClose.Handler> {

    public final int recipientChannel;

    public SshMsgChannelClose(int recipientChannel) {
        this.recipientChannel = recipientChannel;
    }

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgChannelClose {"
                + "recipientChannel=" + this.recipientChannel
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgChannelClose message, MessageConnection<Message> connection);

    }
}
